%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-tripleoclient
Version:        6.2.0
Release:        2%{?dist}
Provides:        python2-tripleoclient = %{version}-%{release}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0:        https://tarballs.openstack.org/python-tripleoclient/python-tripleoclient-%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=6.2.0
Patch0001: 0001-Fixing-whitespace-in-setup.cfg.patch
Patch0002: 0002-Add-skip-deploy-identifier.patch
Patch0003: 0003-Updated-from-global-requirements.patch
Patch0004: 0004-Fix-introspection-bulk-status-when-some-nodes-were-n.patch
Patch0005: 0005-Update-UPPER_CONSTRAINTS_FILE-for-stable-ocata.patch
Patch0006: 0006-Remove-update-abort.patch
Patch0007: 0007-Modified-os-image-option-in-overcloud-image-upload.patch
Patch0008: 0008-Add-check-for-disable_upgrade_deployment-flag-in-rol.patch
Patch0009: 0009-Install-policycoreutils-python.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
# testing requirements
BuildRequires:  python-fixtures
BuildRequires:  python-mock
BuildRequires:  python-testrepository
BuildRequires:  python-testtools
BuildRequires:  python-cliff
BuildRequires:  python-ironicclient
BuildRequires:  python-ironic-inspector-client
BuildRequires:  python-heatclient
BuildRequires:  python-mistralclient
BuildRequires:  python-openstackclient
BuildRequires:  os-cloud-config
BuildRequires:  python-websocket-client
BuildRequires:  PyYAML
BuildRequires:  python-passlib
BuildRequires:  openstack-tripleo-common
BuildRequires:  python-osc-lib-tests
BuildRequires:  python-requests-mock
BuildRequires:  git

Requires:       instack
Requires:       instack-undercloud
Requires:       python-babel >= 2.3.4
Requires:       python-cliff
Requires:       python-ipaddress
Requires:       python-ironic-inspector-client >= 1.5.0
Requires:       python-ironicclient >= 1.10.0
Requires:       python-heatclient >= 1.6.1
Requires:       python-mistralclient >= 2.0.0
Requires:       python-openstackclient >= 3.3.0
Requires:       python-osc-lib >= 1.2.0
Requires:       python-pbr
Requires:       os-cloud-config
Requires:       python-websocket-client
Requires:       python-passlib
Requires:       python-six
Requires:       sos
Requires:       openstack-tripleo-common >= 5.0.0

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO <https://github.com/openstack/python-tripleoclient>.


%prep
%autosetup -n %{name}-%{upstream_version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=. %{__python2} setup.py testr

%files
%{python2_sitelib}/tripleoclient*
%{python2_sitelib}/python_tripleoclient*
%doc LICENSE README.rst

%changelog
* Tue Aug 15 2017 Jason Joyce <jjoyce@redhat.com> 6.2.0-2
- Install policycoreutils-python
- Add check for disable_upgrade_deployment flag in roles_data
- Modified --os-image option in overcloud image upload
- Remove update abort
- Fix 'introspection bulk status' when some nodes were never introspected
- Fixing whitespace in setup.cfg

* Mon Jun 26 2017 Jason Joyce <jjoyce@redhat.com> 6.2.0-1
- Update UPPER_CONSTRAINTS_FILE for stable/ocata
- Fix 'introspection bulk status' when some nodes were never introspected
- Updated from global requirements
- Add --skip-deploy-identifier
- Update to 6.2.0

* Tue Apr 11 2017 Steve Linabery <slinaber@redhat.com> 6.1.0-6
- Remove calculation for NeutronDhcpAgentsPerNetwork

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 6.1.0-5
- Ignore os-cloud-config deprecation warning

* Thu Mar 30 2017 Jon Schlueter <jschluet@redhat.com> 6.1.0-4
- Use tmp env path when rewriting absolute resource paths (rhbz#1435205)

* Thu Mar 30 2017 Mike Burns <mburns@redhat.com> 6.1.0-3
- Make fencing action parameter optional. rhbz#1434732

* Tue Mar 21 2017 Steve Linabery <slinaber@redhat.com> 6.1.0-2
- Updated from global requirements
- Fixed overcloud stack update workflow name error

* Mon Mar 06 2017 Alfredo Moralejo <amoralej@redhat.com> 6.1.0-1
- Update to 6.1.0

* Mon Feb 20 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-1
- Update to 6.0.0

